package python-crypto 2.6.1-6build1 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1

Bug #1665391 reported by Satoshi Otani on 2017-02-16
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
python-crypto (Ubuntu)
Undecided
Unassigned

Bug Description

Description: Ubuntu 16.10
Release: 16.10

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  python-crypto python3-crypto
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/489 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 280266 files and directories currently installed.)
Preparing to unpack .../0-python-crypto_2.6.1-6ubuntu0.16.10.2_amd64.deb ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing archive /tmp/apt-dpkg-install-hXANSP/0-python-crypto_2.6.1-6ubuntu0.16.10.2_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Traceback (most recent call last):
  File "/usr/bin/pycompile", line 35, in <module>
    from debpython.version import SUPPORTED, debsorted, vrepr, \
  File "/usr/share/python/debpython/version.py", line 24, in <module>
    from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
*** Error in `/usr/bin/dpkg': munmap_chunk(): invalid pointer: 0x000056249c444a08 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x790cb)[0x7ff8a54e10cb]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x1f8)[0x7ff8a54ee338]
/usr/bin/dpkg(+0x20cc0)[0x56249b9d1cc0]
/usr/bin/dpkg(+0x21109)[0x56249b9d2109]
/usr/bin/dpkg(+0x283bd)[0x56249b9d93bd]
/usr/bin/dpkg(+0x17727)[0x56249b9c8727]
/usr/bin/dpkg(+0x17905)[0x56249b9c8905]
/usr/bin/dpkg(+0x17b4d)[0x56249b9c8b4d]
/usr/bin/dpkg(+0xaed7)[0x56249b9bbed7]
/usr/bin/dpkg(+0x20bfb)[0x56249b9d1bfb]
/usr/bin/dpkg(+0x20df1)[0x56249b9d1df1]
/usr/bin/dpkg(+0xa962)[0x56249b9bb962]
/usr/bin/dpkg(+0x72fd)[0x56249b9b82fd]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1)[0x7ff8a54883f1]
/usr/bin/dpkg(+0x743a)[0x56249b9b843a]
======= Memory map: ========
56249b9b1000-56249b9f6000 r-xp 00000000 08:05 6947079 /usr/bin/dpkg
56249bbf6000-56249bbf9000 r--p 00045000 08:05 6947079 /usr/bin/dpkg
56249bbf9000-56249bbfa000 rw-p 00048000 08:05 6947079 /usr/bin/dpkg
56249bbfa000-56249be0e000 rw-p 00000000 00:00 0
56249be73000-56249f53e000 rw-p 00000000 00:00 0 [heap]
7ff8a3fa6000-7ff8a3fbc000 r-xp 00000000 08:05 7606810 /lib/x86_64-linux-gnu/libgcc_s.so.1
7ff8a3fbc000-7ff8a41bb000 ---p 00016000 08:05 7606810 /lib/x86_64-linux-gnu/libgcc_s.so.1
7ff8a41bb000-7ff8a41bc000 r--p 00015000 08:05 7606810 /lib/x86_64-linux-gnu/libgcc_s.so.1
7ff8a41bc000-7ff8a41bd000 rw-p 00016000 08:05 7606810 /lib/x86_64-linux-gnu/libgcc_s.so.1
7ff8a41bd000-7ff8a41c8000 r-xp 00000000 08:05 7615550 /lib/x86_64-linux-gnu/libnss_files-2.24.so
7ff8a41c8000-7ff8a43c7000 ---p 0000b000 08:05 7615550 /lib/x86_64-linux-gnu/libnss_files-2.24.so
7ff8a43c7000-7ff8a43c8000 r--p 0000a000 08:05 7615550 /lib/x86_64-linux-gnu/libnss_files-2.24.so
7ff8a43c8000-7ff8a43c9000 rw-p 0000b000 08:05 7615550 /lib/x86_64-linux-gnu/libnss_files-2.24.so
7ff8a43c9000-7ff8a43cf000 rw-p 00000000 00:00 0
7ff8a43cf000-7ff8a43da000 r-xp 00000000 08:05 7615552 /lib/x86_64-linux-gnu/libnss_nis-2.24.so
7ff8a43da000-7ff8a45d9000 ---p 0000b000 08:05 7615552 /lib/x86_64-linux-gnu/libnss_nis-2.24.so
7ff8a45d9000-7ff8a45da000 r--p 0000a000 08:05 7615552 /lib/x86_64-linux-gnu/libnss_nis-2.24.so
7ff8a45da000-7ff8a45db000 rw-p 0000b000 08:05 7615552 /lib/x86_64-linux-gnu/libnss_nis-2.24.so
7ff8a45db000-7ff8a45f1000 r-xp 00000000 08:05 7615547 /lib/x86_64-linux-gnu/libnsl-2.24.so
7ff8a45f1000-7ff8a47f0000 ---p 00016000 08:05 7615547 /lib/x86_64-linux-gnu/libnsl-2.24.so
7ff8a47f0000-7ff8a47f1000 r--p 00015000 08:05 7615547 /lib/x86_64-linux-gnu/libnsl-2.24.so
7ff8a47f1000-7ff8a47f2000 rw-p 00016000 08:05 7615547 /lib/x86_64-linux-gnu/libnsl-2.24.so
7ff8a47f2000-7ff8a47f4000 rw-p 00000000 00:00 0
7ff8a47f4000-7ff8a47fc000 r-xp 00000000 08:05 7615548 /lib/x86_64-linux-gnu/libnss_compat-2.24.so
7ff8a47fc000-7ff8a49fb000 ---p 00008000 08:05 7615548 /lib/x86_64-linux-gnu/libnss_compat-2.24.so
7ff8a49fb000-7ff8a49fc000 r--p 00007000 08:05 7615548 /lib/x86_64-linux-gnu/libnss_compat-2.24.so
7ff8a49fc000-7ff8a49fd000 rw-p 00008000 08:05 7615548 /lib/x86_64-linux-gnu/libnss_compat-2.24.so
7ff8a49fd000-7ff8a4dd3000 r--p 00000000 08:05 6947260 /usr/lib/locale/locale-archive
7ff8a4dd3000-7ff8a4deb000 r-xp 00000000 08:05 7615555 /lib/x86_64-linux-gnu/libpthread-2.24.so
7ff8a4deb000-7ff8a4feb000 ---p 00018000 08:05 7615555 /lib/x86_64-linux-gnu/libpthread-2.24.so
7ff8a4feb000-7ff8a4fec000 r--p 00018000 08:05 7615555 /lib/x86_64-linux-gnu/libpthread-2.24.so
7ff8a4fec000-7ff8a4fed000 rw-p 00019000 08:05 7615555 /lib/x86_64-linux-gnu/libpthread-2.24.so
7ff8a4fed000-7ff8a4ff1000 rw-p 00000000 00:00 0
7ff8a4ff1000-7ff8a4ff4000 r-xp 00000000 08:05 7615543 /lib/x86_64-linux-gnu/libdl-2.24.so
7ff8a4ff4000-7ff8a51f3000 ---p 00003000 08:05 7615543 /lib/x86_64-linux-gnu/libdl-2.24.so
7ff8a51f3000-7ff8a51f4000 r--p 00002000 08:05 7615543 /lib/x86_64-linux-gnu/libdl-2.24.so
7ff8a51f4000-7ff8a51f5000 rw-p 00003000 08:05 7615543 /lib/x86_64-linux-gnu/libdl-2.24.so
7ff8a51f5000-7ff8a5267000 r-xp 00000000 08:05 7606898 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7ff8a5267000-7ff8a5466000 ---p 00072000 08:05 7606898 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7ff8a5466000-7ff8a5467000 r--p 00071000 08:05 7606898 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7ff8a5467000-7ff8a5468000 rw-p 00072000 08:05 7606898 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7ff8a5468000-7ff8a5625000 r-xp 00000000 08:05 7615540 /lib/x86_64-linux-gnu/libc-2.24.so
7ff8a5625000-7ff8a5825000 ---p 001bd000 08:05 7615540 /lib/x86_64-linux-gnu/libc-2.24.so
7ff8a5825000-7ff8a5829000 r--p 001bd000 08:05 7615540 /lib/x86_64-linux-gnu/libc-2.24.so
7ff8a5829000-7ff8a582b000 rw-p 001c1000 08:05 7615540 /lib/x86_64-linux-gnu/libc-2.24.so
7ff8a582b000-7ff8a582f000 rw-p 00000000 00:00 0
7ff8a582f000-7ff8a5852000 r-xp 00000000 08:05 7606925 /lib/x86_64-linux-gnu/libselinux.so.1
7ff8a5852000-7ff8a5a51000 ---p 00023000 08:05 7606925 /lib/x86_64-linux-gnu/libselinux.so.1
7ff8a5a51000-7ff8a5a52000 r--p 00022000 08:05 7606925 /lib/x86_64-linux-gnu/libselinux.so.1
7ff8a5a52000-7ff8a5a53000 rw-p 00023000 08:05 7606925 /lib/x86_64-linux-gnu/libselinux.so.1
7ff8a5a53000-7ff8a5a55000 rw-p 00000000 00:00 0
7ff8a5a55000-7ff8a5a7a000 r-xp 00000000 08:05 7615536 /lib/x86_64-linux-gnu/ld-2.24.so
7ff8a5c4e000-7ff8a5c50000 rw-p 00000000 00:00 0
7ff8a5c75000-7ff8a5c79000 rw-p 00000000 00:00 0
7ff8a5c79000-7ff8a5c7a000 r--p 00024000 08:05 7615536 /lib/x86_64-linux-gnu/ld-2.24.so
7ff8a5c7a000-7ff8a5c7b000 rw-p 00025000 08:05 7615536 /lib/x86_64-linux-gnu/ld-2.24.so
7ff8a5c7b000-7ff8a5c7c000 rw-p 00000000 00:00 0
7ffccc820000-7ffccc841000 rw-p 00000000 00:00 0 [stack]
7ffccc9b1000-7ffccc9b3000 r--p 00000000 00:00 0 [vvar]
7ffccc9b3000-7ffccc9b5000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
E: Sub-process /usr/bin/dpkg exited unexpectedly

ProblemType: Package
DistroRelease: Ubuntu 16.10
Package: python-crypto 2.6.1-6build1
ProcVersionSignature: Ubuntu 4.8.0-34.36-generic 4.8.11
Uname: Linux 4.8.0-34-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.3-0ubuntu8.2
Architecture: amd64
Date: Fri Feb 17 00:56:19 2017
ErrorMessage: subprocess new pre-removal script returned error exit status 1
RelatedPackageVersions:
 dpkg 1.18.10ubuntu1
 apt 1.3.4
SourcePackage: python-crypto
Title: package python-crypto 2.6.1-6build1 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Satoshi Otani (ohtanisatoshi) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-crypto (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers